Bug 103948 - rpmbuild -tb --force don't extract tar.gz ball
rpmbuild -tb --force don't extract tar.gz ball
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2003-09-08 07:19 EDT by Peter Bieringer
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-26 12:08:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2003-09-08 07:19:08 EDT
Description of problem:
rpmbuild -tb --force ignores that the tar ball is gzip'ed

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
rpmbuild -tb --force  ipv6calc-0.46.tar.gz
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.5837
+ umask 022
+ cd /mnt/rpmbuild/BUILD
+ cd /mnt/rpmbuild/BUILD
+ rm -rf ipv6calc-0.46
+ tar -xf /home/rootadm/ipv6calc-0.46.tar.gz
tar: This does not look like a tar archive
tar: Skipping to next header
tar: Archive contains obsolescent base-64 headers
tar: Error exit delayed from previous errors
error: Bad exit status from /var/tmp/rpm-tmp.5837 (%prep)

Actual Results:  See above

Expected Results:  option "--force" should not disable gzip...

$ rpmbuild -tb ipv6calc-0.46.tar.gz
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.46154
+ umask 022
+ cd /mnt/rpmbuild/BUILD
+ cd /mnt/rpmbuild/BUILD
+ rm -rf ipv6calc-0.46
+ /usr/bin/gzip -dc /home/rootadm/ipv6calc-0.46.tar.gz
+ tar -xf -

Additional info:

This originally happens during "rpmbuild -tb /nfs/path/to/file.tar.gz", where
local build host has no entry in passwd for the uid of the file on NFS server:
Uid: ( 1001/ UNKNOWN)   Gid: (  100/   users)

Therefore I tried option "--force"
Comment 1 Jeff Johnson 2003-12-26 12:08:09 EST
BTW, The --force option has murky and ill-defined meaning, I refuse to
continue tying all possible workarounds into --force.

The real problem is that --tarbuild uses popen(3) to extract
the spec file, and popen(3) plats error messages into the
current directory. The eventual fix will to be to rip out
--tarbuild modes from rpm.

Since removing --tarbuild is controversial, DEFERRED into the
indefinite future.

Note You need to log in before you can comment on or make changes to this bug.